# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global bentoflags --docdir=%{_docdir} --sharedstatedir=%{_sharedstatedir} --htmldir=%{_docdir} --localstatedir=%{_localstatedir} --prefix=%{_prefix} --psdir=%{_docdir} --mandir=%{_mandir} --infodir=%{_infodir} --libdir=%{_libdir} --localedir=%{_datadir}locale --dvidir=%{_docdir} --bindir=%{_bindir} --sitedir=%{python_sitelib} --pdfdir=%{_docdir} --exec-prefix=%{_exec_prefix} --datarootdir=%{_datarootdir} --sysconfdir=%{_sysconfdir} --includedir=%{_includedir} --sbindir=%{_sbindir} --libexecdir=%{_libexecdir}

%global srcname bento

Name: python-%{srcname}
Version: 0.0.6
Release:        1.20110720git312f656%{?dist}
Summary:        Tool to nicely package python software

Group:          Development/Languages
License:        BSD
URL:            http://cournape.github.com/Bento/html/index.html
# Bento is still in highly active development
# Packaging a snapshot for now
# git clone https://github.com/cournape/Bento.git
# cd Bento
# python bootstrapy.py install
# ./bentomaker sdist
# The tarball will be in dist/bento-%%{version}.tar.gz
Source0:        %{srcname}-%{version}.tar.gz
# rpm macros for bento packages
Source1:        macros.bento
Patch0: bento-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python2-devel
# Once bento is in the distro we'll need it to build new versions
# BuildRequires: python-bento

%description


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .destdir


%build
# Once bento is in the distribution, we can use prior versions to build newer
# versions
%{__python} bootstrap.py
# If not a noarch package, set --sitedir=%%{python_sitearch}
./bentomaker configure %{bentoflags} --bundling=false
./bentomaker build

%install
rm -rf %{buildroot}
# Once bento is in the distribution, use prior versions to build newer versions
./bentomaker install --destdir=%{buildroot}
install -d %{buildroot}/%{_sysconfdir}/rpm

install -p -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/rpm/macros.bento

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt THANKS
%config(noreplace) %{_sysconfdir}/rpm/macros.bento
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/%{srcname}/

%changelog
* Thu Jul 21 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.0.6-1.20110720git312f656
- Initial Fedora packaging
